## com.lowagie.text.rtf.parser
Class RtfParserState

    java.lang.Object
      com.lowagie.text.rtf.parser.RtfParserState

    public class RtfParserState

extends java.lang.Object

The `RtfParserState` contains the state information for the parser. The current state object is pushed/popped in a stack when a group change is made. When an open group is encountered, the current state is copied and then pushed on the top of the stack When a close group is encountered, the current state is overwritten with the popped value from the top of the stack

Since:
  2.0.8
Author:
  Howard Shank (hgshank@yahoo.com)

Field Summary
`java.lang.Object` `ctrlWordHandler` The current control word handler.
`java.util.Stack` `ctrlWordHandlers` Stack containing control word handlers.
`RtfDestination` `destination` The current destination.
`java.lang.Object` `groupHandler` The control word set as the group handler.
`boolean` `isExtendedDestination` Flag indicating if this is an extended destination \* control word
`boolean` `newGroup` Flag to indicate if last token was an open group token '{'
`int` `parserState` The parser state.
`RtfProperty` `properties`
`java.lang.StringBuffer` `text` The parsed value for the current group/control word.
`int` `tokeniserState` The tokeniser state.

Constructor Summary
`RtfParserState()` Default constructor
`RtfParserState(RtfParserState orig)` Copy constructor

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parserState

    public int parserState

  The parser state.

### tokeniserState

    public int tokeniserState

  The tokeniser state.

### groupHandler

    public java.lang.Object groupHandler

  The control word set as the group handler.

### text

    public java.lang.StringBuffer text

  The parsed value for the current group/control word.

### ctrlWordHandlers

    public java.util.Stack ctrlWordHandlers

  Stack containing control word handlers. There could be multiple control words in a group.

### ctrlWordHandler

    public java.lang.Object ctrlWordHandler

  The current control word handler.

### destination

    public RtfDestination destination

  The current destination.

### isExtendedDestination

    public boolean isExtendedDestination

  Flag indicating if this is an extended destination \* control word

### newGroup

    public boolean newGroup

  Flag to indicate if last token was an open group token '{'

### properties

    public RtfProperty properties

Constructor Detail

### RtfParserState

    public RtfParserState()

  Default constructor

### RtfParserState

    public RtfParserState(RtfParserState orig)

  Copy constructor

  Parameters:
    `orig` - The object to copy

Hosted by Hostbasket